Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovydocManager

- org.apache.groovy.parser.antlr4.GroovydocManager

-     public class GroovydocManager
      extends Object

  A utilities for managing groovydoc, e.g. 1) extracting groovydoc from groovy AST; 2) TODO extracting tags from groovydoc; 3) attach groovydoc to AST node as metadata

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DOC_COMMENT` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovydocManager(boolean groovydocEnabled, boolean runtimeGroovydocEnabled)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `handle(ASTNode node, GroovyParserRuleContext ctx)` Attach doc comment to member node as meta data

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final String DOC_COMMENT

  - ### Constructor Detail

    - #### public GroovydocManager(boolean groovydocEnabled, boolean runtimeGroovydocEnabled)

  - ### Method Detail

    - #### public void handle(ASTNode node, GroovyParserRuleContext ctx)

      Attach doc comment to member node as meta data